For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/domain/get-api-domain-v1list.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List domains

GET
/api/domain/v1/list
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { domains, domainError } = await reloop.domain.list({
6 page: 1,
7 limit: 10,
8 status: "active",
9});
10
11if (domainError) throw domainError;
12
13console.log(domains.total, domains.domains);
1{
2 "object": "domain",
3 "domains": [
4 {
5 "object": "domain",
6 "id": "domain_123456789",
7 "domain": "send.example.com",
8 "status": "active",
9 "userVerifiedDomain": true,
10 "systemVerified": true,
11 "customReturnPath": "inbound",
12 "isClickTrackingEnabled": true,
13 "isOpenTrackingEnabled": true,
14 "tls": "opportunistic",
15 "isTrackingDomain": false,
16 "isSendingEmailEnabled": true,
17 "isReceivingEmailEnabled": true,
18 "dnsRecords": [
19 {
20 "id": "dns_123456789",
21 "recordType": "MX",
22 "recordTypeName": "MX",
23 "domain": "example.com",
24 "name": "@",
25 "value": "email.reloop.sh",
26 "ttl": "Auto",
27 "priority": 10,
28 "status": "active",
29 "createdAt": "2026-03-30T10:00:00.000Z",
30 "updatedAt": "2026-03-30T10:00:00.000Z"
31 }
32 ],
33 "createdAt": "2026-03-30T10:00:00.000Z",
34 "updatedAt": "2026-03-30T10:00:00.000Z"
35 }
36 ],
37 "total": 1,
38 "page": 0,
39 "limit": 0,
40 "event": "evt_123456789"
41}

Query Parameters

pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 10
  • Minimum value: 1
  • Maximum value: 100
qstring

Search query for domain name

status"pending" | "verifying" | "active" | "suspended" | "failed"

Possible values: pending | verifying | active | suspended | failed

Was this page helpful?